Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
GETSSO OperationsSince 4.6.21SynchronousAuth Required

GetSSOClient

GetSSOClient

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/get/sso/client

/zstack/v1/get/sso/client

Operation ID

GetSSOClient

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/get/sso/client' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "1fbb7c4cb98d38beb31fa9bd74bff347", "name": "test", "clientType": "OIDC", "loginMNUrl": "http://127.0.0.1:8080/zstack/sso/oauth2/" } ] }

Change History

This API has no change history records yet.

View all change history